Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xslt
Class StylesheetHandler

    java.lang.Object
      |
      +--org.xml.sax.helpers.ParserAdapter
            |
            +--weblogic.apache.xalan.xslt.StylesheetHandler

Deprecated. This compatibility layer will be removed in later releases.

public class StylesheetHandler
extends org.xml.sax.helpers.ParserAdapter

Initializes and processes a stylesheet via SAX events. If you need to alter the code in here, it is not for the faint-of-heart, due to the state tracking that has to be done due to the SAX event model.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`StylesheetHandler(XSLTEngineImpl processor, Stylesheet stylesheetTree)` Deprecated. Instance constructor...
`StylesheetHandler(XSLTEngineImpl processor, StylesheetRoot stylesheetTree)` Deprecated. Instance constructor...

Methods inherited from class org.xml.sax.helpers.ParserAdapter
`characters, endDocument, endElement, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, ignorableWhitespace, parse, parse, processingInstruction, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StylesheetHandler

    public StylesheetHandler(XSLTEngineImpl processor,
                             Stylesheet stylesheetTree)
                      throws javax.xml.transform.TransformerConfigurationException,
                             org.xml.sax.SAXException

  Deprecated.
  Instance constructor...

  Parameters:
    `processor` - The XSLTProcessor implementation.
    `stylesheet` - The root stylesheet.

### StylesheetHandler

    public StylesheetHandler(XSLTEngineImpl processor,
                             StylesheetRoot stylesheetTree)
                      throws javax.xml.transform.TransformerConfigurationException,
                             org.xml.sax.SAXException

  Deprecated.
  Instance constructor...

  Parameters:
    `processor` - The XSLTProcessor implementation.
    `stylesheet` - The root stylesheet.
  Throws:
    TransformerConfigurationException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference